/* ============================================================
   FOOTER GLOBAL
   ============================================================ */

#site-footer {
  color: var(--wp--preset--color--white);
  background: linear-gradient(180deg, #1e1e1e, #202020);
  margin-top: var(--wp--preset--spacing--48);
}

/* Footer Réassurance */
.footer-reassurance {
  background-color: var(--wp--preset--color--dark-blue);
}

.footer-reassurance-inner {
  max-width: var(--wp--style--global--content-size);
  margin: 0 auto;
  padding: var(--wp--preset--spacing--16);
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: var(--wp--preset--spacing--24);
}

.footer-reassurance-item {
  color: var(--wp--preset--color--white);
  text-decoration: none;
  text-align: center;
}

.footer-reassurance-icon {
  display: block;
  width: 64px;
  height: auto;
  flex-shrink: 0;
  margin: 0px auto var(--wp--preset--spacing--8) auto;
}

.footer-reassurance-text {
  display: block;
  font-size: var(--wp--preset--font-size--14);
  font-weight: 600;
  text-align: center;
}

@media (max-width: 768px) {
  .footer-reassurance-inner {
    grid-template-columns: repeat(2, 1fr);
    gap: var(--wp--preset--spacing--16);
  }
}

/* Footer Main */
.footer-main {
  padding: var(--wp--preset--spacing--32) 0 var(--wp--preset--spacing--32);
}

.footer-container {
  max-width: var(--wp--style--global--content-size);
  margin: 0 auto;
  padding: 0 20px;
}

.footer-grid {
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
  gap: var(--wp--preset--spacing--16);
}

.footer-col h3 {
  color: var(--wp--preset--color--white);
  font-size: var(--wp--preset--font-size--24);
  font-style: normal;
  font-weight: 800;
  margin-top: 0px;
  margin-bottom: var(--wp--preset--spacing--8);
}

#site-footer .footer-logo {
  max-width: 240px;
  margin-bottom: var(--wp--preset--spacing--8);
}

.footer-item {
  display: flex;
  align-items: center;
  gap: var(--wp--preset--spacing--16);
  margin-bottom: var(--wp--preset--spacing--8);
}

.footer-item p {
  margin: 0;
  line-height: 1.3;
}

.footer-icon {
  width: 25px;
  height: auto;
  flex-shrink: 0;
  margin-top: 2px;
}

.footer-phone a {
  color: var(--wp--preset--color--white);
  text-decoration: underline;
  font-weight: 600;
}

.footer-phone a:hover {
  text-decoration: none;
}
.footer-col p {
  margin-block: 0;
  line-height: 1.3;
}

.footer-col span {
  font-size: var(--wp--preset--font-size--18);
  font-weight: 700;
}

/* ============================================================
       LINKS
       ============================================================ */

.footer-links {
  list-style: none;
  padding: 0;
  margin: 0 0 8px;
}

.footer-links li {
  margin-bottom: 8px;
}

.footer-links a {
  color: var(--wp--preset--color--blue);
  text-decoration: underline;
}

.footer-links a:hover {
  text-decoration: none;
}

.footer-links--icons {
  margin-top: var(--wp--preset--spacing--8);
}

.footer-links--icons {
  list-style: none;
  margin: 0;
  padding: 0;
}

.footer-links--icons li {
  margin-bottom: var(--wp--preset--spacing--8);
}

.footer-links--icons a {
  display: inline-flex;
  align-items: center;
  gap: var(--wp--preset--spacing--8);
  color: var(--wp--preset--color--blue);
  text-decoration: underline;
  font-weight: 600;
  transition: color 0.2s ease;
}

.footer-links--icons a:hover,
.footer-links--icons a:focus-visible {
  text-decoration: none;
}

.footer-link-icon {
  width: 25px;
  height: 25px;
  flex-shrink: 0;
  display: block;
}

.footer-links--icons span {
  font-size: var(--wp--preset--font-size--14);
}

/* ============================================================
       CERTIFICATIONS
       ============================================================ */

.footer-certifications {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: var(--wp--preset--spacing--16);
  margin-top: var(--wp--preset--spacing--8);
  flex-wrap: wrap;
}

.footer-certifications img {
  max-height: 70px;
  object-fit: contain;
}

/* ============================================================
       NEWSLETTER
       ============================================================ */

.footer-col--newsletter p {
  font-size: 12px;
  margin-bottom: 12px;
}

.footer-map {
  margin-top: 24px;
  width: 100%;
  opacity: 0.9;
}

/* ============================================================
       BOTTOM BAR
       ============================================================ */

.footer-bottom {
  margin-top: var(--wp--preset--spacing--8);
  padding-top: 20px;
  display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
}

.footer-bottom a {
  color: #4cc3ff;
  font-size: var(--wp--preset--font-size--14);
}

/* ============================================================
       RESPONSIVE
       ============================================================ */

@media (max-width: 900px) {
  .footer-grid {
    grid-template-columns: 1fr;
  }
}
